org.apache.sysds.hops.codegen.cplan

## Enum CNodeUnary.UnaryType

- java.lang.Object
- - java.lang.Enum<CNodeUnary.UnaryType>
  - - org.apache.sysds.hops.codegen.cplan.CNodeUnary.UnaryType

All Implemented Interfaces:
  Serializable, Comparable<CNodeUnary.UnaryType>

Enclosing class:
  CNodeUnary

    public static enum CNodeUnary.UnaryType
    extends Enum<CNodeUnary.UnaryType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABS`
`ACOS`
`ASIN`
`ATAN`
`CEIL`
`COS`
`COSH`
`EXP`
`FLOOR`
`LOG`
`LOG_NZ`
`LOOKUP_C`
`LOOKUP_R`
`LOOKUP_RC`
`LOOKUP0`
`MULT2`
`POW2`
`ROUND`
`ROW_COUNTNNZS`
`ROW_MAXS`
`ROW_MEANS`
`ROW_MINS`
`ROW_SUMS`
`ROW_SUMSQS`
`SIGMOID`
`SIGN`
`SIN`
`SINH`
`SPROP`
`SQRT`
`TAN`
`TANH`
`VECT_ABS`
`VECT_ACOS`
`VECT_ASIN`
`VECT_ATAN`
`VECT_CEIL`
`VECT_COS`
`VECT_COSH`
`VECT_CUMMAX`
`VECT_CUMMIN`
`VECT_CUMSUM`
`VECT_EXP`
`VECT_FLOOR`
`VECT_LOG`
`VECT_MULT2`
`VECT_POW2`
`VECT_ROUND`
`VECT_SIGMOID`
`VECT_SIGN`
`VECT_SIN`
`VECT_SINH`
`VECT_SPROP`
`VECT_SQRT`
`VECT_TAN`
`VECT_TANH`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `contains(String value)`
`CNodeUnary.UnaryType` `getVectorAddPrimitive()`
`String` `getVectorPrimitiveName()`
`boolean` `isNotSupportedBySpoofCUDA()`
`boolean` `isScalarLookup()`
`boolean` `isSparseSafeScalar()`
`boolean` `isVectorScalarPrimitive()`
`static CNodeUnary.UnaryType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CNodeUnary.UnaryType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LOOKUP_R

    public static final CNodeUnary.UnaryType LOOKUP_R

#### LOOKUP_C

    public static final CNodeUnary.UnaryType LOOKUP_C

#### LOOKUP_RC

    public static final CNodeUnary.UnaryType LOOKUP_RC

#### LOOKUP0

    public static final CNodeUnary.UnaryType LOOKUP0

#### ROW_SUMS

    public static final CNodeUnary.UnaryType ROW_SUMS

#### ROW_SUMSQS

    public static final CNodeUnary.UnaryType ROW_SUMSQS

#### ROW_COUNTNNZS

    public static final CNodeUnary.UnaryType ROW_COUNTNNZS

#### ROW_MEANS

    public static final CNodeUnary.UnaryType ROW_MEANS

#### ROW_MINS

    public static final CNodeUnary.UnaryType ROW_MINS

#### ROW_MAXS

    public static final CNodeUnary.UnaryType ROW_MAXS

#### VECT_EXP

    public static final CNodeUnary.UnaryType VECT_EXP

#### VECT_POW2

    public static final CNodeUnary.UnaryType VECT_POW2

#### VECT_MULT2

    public static final CNodeUnary.UnaryType VECT_MULT2

#### VECT_SQRT

    public static final CNodeUnary.UnaryType VECT_SQRT

#### VECT_LOG

    public static final CNodeUnary.UnaryType VECT_LOG

#### VECT_ABS

    public static final CNodeUnary.UnaryType VECT_ABS

#### VECT_ROUND

    public static final CNodeUnary.UnaryType VECT_ROUND

#### VECT_CEIL

    public static final CNodeUnary.UnaryType VECT_CEIL

#### VECT_FLOOR

    public static final CNodeUnary.UnaryType VECT_FLOOR

#### VECT_SIGN

    public static final CNodeUnary.UnaryType VECT_SIGN

#### VECT_SIN

    public static final CNodeUnary.UnaryType VECT_SIN

#### VECT_COS

    public static final CNodeUnary.UnaryType VECT_COS

#### VECT_TAN

    public static final CNodeUnary.UnaryType VECT_TAN

#### VECT_ASIN

    public static final CNodeUnary.UnaryType VECT_ASIN

#### VECT_ACOS

    public static final CNodeUnary.UnaryType VECT_ACOS

#### VECT_ATAN

    public static final CNodeUnary.UnaryType VECT_ATAN

#### VECT_SINH

    public static final CNodeUnary.UnaryType VECT_SINH

#### VECT_COSH

    public static final CNodeUnary.UnaryType VECT_COSH

#### VECT_TANH

    public static final CNodeUnary.UnaryType VECT_TANH

#### VECT_CUMSUM

    public static final CNodeUnary.UnaryType VECT_CUMSUM

#### VECT_CUMMIN

    public static final CNodeUnary.UnaryType VECT_CUMMIN

#### VECT_CUMMAX

    public static final CNodeUnary.UnaryType VECT_CUMMAX

#### VECT_SPROP

    public static final CNodeUnary.UnaryType VECT_SPROP

#### VECT_SIGMOID

    public static final CNodeUnary.UnaryType VECT_SIGMOID

#### EXP

    public static final CNodeUnary.UnaryType EXP

#### POW2

    public static final CNodeUnary.UnaryType POW2

#### MULT2

    public static final CNodeUnary.UnaryType MULT2

#### SQRT

    public static final CNodeUnary.UnaryType SQRT

#### LOG

    public static final CNodeUnary.UnaryType LOG

#### LOG_NZ

    public static final CNodeUnary.UnaryType LOG_NZ

#### ABS

    public static final CNodeUnary.UnaryType ABS

#### ROUND

    public static final CNodeUnary.UnaryType ROUND

#### CEIL

    public static final CNodeUnary.UnaryType CEIL

#### FLOOR

    public static final CNodeUnary.UnaryType FLOOR

#### SIGN

    public static final CNodeUnary.UnaryType SIGN

#### SIN

    public static final CNodeUnary.UnaryType SIN

#### COS

    public static final CNodeUnary.UnaryType COS

#### TAN

    public static final CNodeUnary.UnaryType TAN

#### ASIN

    public static final CNodeUnary.UnaryType ASIN

#### ACOS

    public static final CNodeUnary.UnaryType ACOS

#### ATAN

    public static final CNodeUnary.UnaryType ATAN

#### SINH

    public static final CNodeUnary.UnaryType SINH

#### COSH

    public static final CNodeUnary.UnaryType COSH

#### TANH

    public static final CNodeUnary.UnaryType TANH

#### SPROP

    public static final CNodeUnary.UnaryType SPROP

#### SIGMOID

    public static final CNodeUnary.UnaryType SIGMOID

### Method Detail

#### values

    public static CNodeUnary.UnaryType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CNodeUnary.UnaryType c : CNodeUnary.UnaryType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CNodeUnary.UnaryType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### contains

    public static boolean contains(String value)

#### isVectorScalarPrimitive

    public boolean isVectorScalarPrimitive()

#### getVectorAddPrimitive

    public CNodeUnary.UnaryType getVectorAddPrimitive()

#### getVectorPrimitiveName

    public String getVectorPrimitiveName()

#### isScalarLookup

    public boolean isScalarLookup()

#### isSparseSafeScalar

    public boolean isSparseSafeScalar()

#### isNotSupportedBySpoofCUDA

    public boolean isNotSupportedBySpoofCUDA()